[Unit]
Description=Network traffic encryption (tcpcrypt)
After=network.target

[Service]
ExecStart=/usr/bin/tcpcryptd -f -C aes -U tcpcryptd -J /run/tcpcryptd -p 777
PrivateDevices=yes
ExecStartPost=/usr/bin/iptables -I INPUT ! -i lo -p tcp -j NFQUEUE --queue-num 777
ExecStartPost=/usr/bin/iptables -I OUTPUT ! -o lo -p tcp -j NFQUEUE --queue-num 777
ExecStopPost=/usr/bin/iptables -D INPUT ! -i lo -p tcp -j NFQUEUE --queue-num 777
ExecStopPost=/usr/bin/iptables -D OUTPUT ! -o lo -p tcp -j NFQUEUE --queue-num 777

[Install]
WantedBy=multi-user.target